Any of the sysadmins here fancy a bit of freelance work?

Peter Corlett abuse at
Wed Dec 15 08:58:50 GMT 2010

On Wed, Dec 15, 2010 at 01:27:52AM +0000, David Cantrell wrote:
> I have a hideously out-of-date Debian 3.1 machine that needs upgrading to
> latest-stable. Any of you lovely people fancy doing it in exchange for
> copious beer tokens and my eternal love?

Update the sources.list and do a dist-upgrade, fix the inevitable breakage,
and you're pretty much done. I'd suggest going via etch so that package
renames and splits get picked up, but otherwise it should just work. Unless
you're running X, at which point I run away screaming and suggest you buy a

The inevitable breakage turned out to be Exim and Apache for me. Both
packages have sprouted a rather funky Debian configuration scheme which
doesn't quite work, although Apache is on rather less crack than Exim.

More information about the mailing list